# Chart

The 'Chart' component is used to display data in a visual format using charts.

## Properties

| Property    | Value Sample   | Value Type | Description                                                                                                                                                                                                                                                                                        |
| ----------- | -------------- | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Name        | chart1, chart2 | string     | Specifies the name or identifier of the chart component.                                                                                                                                                                                                                                           |
| Style Class | chart-style    | string     | Specifies the style class to be applied to the chart component.                                                                                                                                                                                                                                    |
| ID Prefix   | chart\_        | string     | \[Only used when placed inside a 'Datalist' component] Specifies the prefix used for the unique identification of this component inside a datalist. The name identifier of this component will be overwritten with the concatenation of ID Prefix and ID Field.                                    |
| ID Field    | data\_id       | string     | \[Only used when placed inside a 'Datalist' component] Specifies the field name from a data source bound to the parent 'Datalist' component. The name identifier of this component will be overwritten by concatenating the ID Prefix and the value in the data source referenced by the ID Field. |

## Related Actions

* [chartPopulateLineData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateLineData/README.md) - Description of action for populating line data.
* [chartPopulateStepData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateStepData/README.md) - Description of action for populating step data.
* [chartPopulateStepAreaData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateStepAreaData/README.md) - Description of action for populating step area data.
* [chartPopulateBarData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateBarData/README.md) - Description of action for populating bar data.
* [chartPopulatePieData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulatePieData/README.md) - Description of action for populating pie data.
* [chartPopulateDonutData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateDonutData/README.md) - Description of action for populating donut data.
* [chartPopulateSplineData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateSplineData/README.md) - Description of action for populating spline data.
* [chartPopulateAreaData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateAreaData/README.md) - Description of action for populating area data.
* [chartPopulateAreaSplineData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateAreaSplineData/README.md) - Description of action for populating area spline data.
* [chartPopulateScatterPlotData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateScatterPlotData/README.md) - Description of action for populating scatter plot data.
* [chartPopulateGaugeData](https://github.com/OrangeKloud/emobiq-documentation/blob/master/document/client/004-ui-components/general/chart/link_to_chartPopulateGaugeData/README.md) - Description of action for populating gauge data.

## Example Uses

N/A


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.emobiq.com/emobiq-client/004-ui-components/general/chart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
